package com.digiwin.athena.app.ptc.provider.impl;

import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.ptc.provider.ProductionDetailsEAIService;
import com.digiwin.athena.app.ptc.service.production.ProductionUtil;
import com.digiwin.athena.opt.common.eai.service.EAIServiceContext;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @auther: zhenggl
 * @date: 2023/9/12
 */
public class ProductionDetailsEAIServiceImpl implements ProductionDetailsEAIService {

    @Resource
    private EAIServiceContext eaiServiceContext;

    @Override
    public DWEAIResult taskGet(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(ProductionUtil.PRODUCTION_TASK_GET,headers,messageBody);
    }

    @Override
    public DWEAIResult taskUpdate(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(ProductionUtil.PRODUCTION_TASK_UPDATE,headers,messageBody);
    }

    @Override
    public DWEAIResult taskCreate(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(ProductionUtil.PRODUCTION_TASK_CREATE,headers,messageBody);
    }
}
